Bug 810295 - [abrt] mysql-workbench-5.2.38-1.fc16: set: Process /usr/bin/mysql-workbench-bin was killed by signal 11 (SIGSEGV)
[abrt] mysql-workbench-5.2.38-1.fc16: set: Process /usr/bin/mysql-workbench-b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mysql-workbench (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
abrt_hash:3813a1150aceed5b119dcc51279...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 10:44 EDT by Azeem Michael
Modified: 2012-08-29 06:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 06:35:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (16.63 KB, text/plain)
2012-04-05 10:44 EDT, Azeem Michael
no flags Details
File: maps (72.08 KB, text/plain)
2012-04-05 10:45 EDT, Azeem Michael
no flags Details
File: build_ids (6.41 KB, text/plain)
2012-04-05 10:45 EDT, Azeem Michael
no flags Details
File: backtrace (87.45 KB, text/plain)
2012-04-05 10:45 EDT, Azeem Michael
no flags Details

  None (edit)
Description Azeem Michael 2012-04-05 10:44:55 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/mysql-workbench-bin
crash_function: set
executable:     /usr/bin/mysql-workbench-bin
kernel:         3.3.0-8.fc16.x86_64
pid:            4569
pwd:            /home/amichael
reason:         Process /usr/bin/mysql-workbench-bin was killed by signal 11 (SIGSEGV)
time:           Thu 05 Apr 2012 10:03:50 AM EDT
uid:            1000
username:       amichael
var_log_messages: Apr  5 10:03:52 localhost abrt[4609]: Saved core dump of pid 4569 (/usr/bin/mysql-workbench-bin) to /var/spool/abrt/ccpp-2012-04-05-10:03:50-4569 (100601856 bytes)

backtrace:      Text file, 89544 bytes
build_ids:      Text file, 6560 bytes
dso_list:       Text file, 17030 bytes
maps:           Text file, 73805 bytes

environ:
:LD_PRELOAD=/$LIB/libSegFault.so
:SEGFAULT_OUTPUT_NAME=/tmp/segv_output.vNDutA
:SEGFAULT_USE_ALTSTACK=1
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=4561
:GPG_AGENT_INFO=/tmp/keyring-gwlGy4/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=7578a6c8747296260dfd59f400000011-1333633626.914825-759910623
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/tmp/keyring-gwlGy4
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=amichael
:LD_LIBRARY_PATH=/usr/lib64/mysql-workbench
:SSH_AUTH_SOCK=/tmp/keyring-gwlGy4/ssh
:USERNAME=amichael
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1636,unix/unix:/tmp/.ICE-unix/1636
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/MySQLWorkbench.desktop
:MAIL=/var/spool/mail/amichael
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/amichael/.local/bin:/home/amichael/bin:/usr/share/mysql-workbench/python
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/amichael
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1630
:LANG=en_US.utf8
:MWB_PLUGIN_DIR=/usr/lib64/mysql-workbench/plugins
:'MYSQL_UTILITIES_COMMANDS=mysqlrplcheck mysqldbcompare mysqluserclone mysqlindexcheck mysqlserverinfo mysqldbcopy mysqldiff mysqldbimport mysqlprocgrep mysqldiskusage mysqlserverclone mysqlmetagrep mysqlreplicate mysqldbexport'
:GDM_LANG=en_US.utf8
:MWB_DATA_DIR=/usr/share/mysql-workbench
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/amichael
:XDG_SEAT=seat0
:SHLVL=3
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:DBC_DRIVER_PATH=/usr/lib64/mysql-workbench
:LOGNAME=amichael
:PYTHONPATH=/usr/share/mysql-workbench/python
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-1VkyyJfblK,guid=9a7171b0fcc3414d271d2bd500000030
:MWB_MODULE_DIR=/usr/lib64/mysql-workbench/modules
:MWB_LIBRARY_DIR=/usr/share/mysql-workbench/libraries
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/amichael
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-amichael-scMoDG/database
:_=/usr/bin/mysql-workbench-bin

smolt_data:
:
:
:General
:=================================
:UUID: 1615e51c-c451-46af-8d5f-7728cde4aa0d
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4255.62
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3 CPU       M 330  @ 2.13GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2133
:System Memory: 3753
:System Swap: 5791
:Vendor: LENOVO
:System: 3249J2U ThinkPad X201
:Form factor: Notebook
:Kernel: 3.3.0-8.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8595) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:6058:8531) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:132:32902:4885) pci, iwlwifi, NETWORK, Centrino Wireless-N 1000 BGN
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:70:6058:8538) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 13081819 10748899 10093539 3276800 3055015 3055015
:/dev/sda1 /boot ext4 1024 1024 508745 410431 384831 128016 127786 127786
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 24308611 19084860 17867529 6086656 6065921 6065921
:

xsession_errors:
:/usr/bin/mysql-workbench-bin(_ZN5boost6detail8function26void_function_obj_invoker2INS_3_bi6bind_tIvPFvRKSsN3grt8ValueRefEPN2wb9WBContextEENS3_5list3INS_3argILi1EEENSF_ILi2EEENS3_5valueISB_EEEEEEvSsS8_E6invokeERNS1_15function_bufferESsS8_+0x2c)[0x90b2ac]
:/usr/bin/mysql-workbench-bin(main+0x71d)[0x68327d]
:00400000-00e63000 r-xp 00000000 fd:01 2628657 /usr/bin/mysql-workbench-bin
:01062000-01063000 r--p 00a62000 fd:01 2628657 /usr/bin/mysql-workbench-bin
:01063000-0106d000 rw-p 00a63000 fd:01 2628657 /usr/bin/mysql-workbench-bin
:0126c000-01431000 rw-p 00a6c000 fd:01 2628657 /usr/bin/mysql-workbench-bin
Comment 1 Azeem Michael 2012-04-05 10:44:59 EDT
Created attachment 575459 [details]
File: dso_list
Comment 2 Azeem Michael 2012-04-05 10:45:00 EDT
Created attachment 575460 [details]
File: maps
Comment 3 Azeem Michael 2012-04-05 10:45:02 EDT
Created attachment 575461 [details]
File: build_ids
Comment 4 Azeem Michael 2012-04-05 10:45:03 EDT
Created attachment 575462 [details]
File: backtrace
Comment 5 Alan Schmidt 2012-08-28 17:57:40 EDT
With code completion OFF, workbench bombs on random queries.

When I say "random," I mean that CERTAIN queries on CERTAIN tables of CERTAIN databases will ALWAYS cause workbench to crash, though the SAME queries on DIFFERENT databases will not.

e.g.:
SELECT * from gt_contentNST
WHERE treeid=5

...bombs in one database, and succeeds in another. In both cases, the result set should be empty.

The command line mysql client works fine in either case.


backtrace_rating: 4
Package: mysql-workbench-5.2.42-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Remi Collet 2012-08-29 06:35:33 EDT
@Alan : this bug is about mysql-workbench-5.2.38-1.fc16, See Bug #851283

Latest version is 5.2.42.
Please update

Note You need to log in before you can comment on or make changes to this bug.